<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories\CadVendedor as CadVendedorRepository;

class CadVendedor {

    protected $vendedorRepository;

    public function __construct(CadVendedorRepository $vendedorRepository) {
        $this->vendedorRepository = $vendedorRepository;
    }
    
    public function getVendorAddress($cdven, $nrorg) {
        return $this->vendedorRepository->getEndevende($cdven, $nrorg);
    }
    
    public function getVendor($cdven) {
        return $this->vendedorRepository->getVendor($cdven);
    }
}